DROP TABLE IF EXISTS `tbm_ustmenu`;
DROP TABLE IF EXISTS `tbm_tasarimlog`;
DROP TABLE IF EXISTS `tbm_tasarim`;
DROP TABLE IF EXISTS `tbm_session`;
DROP TABLE IF EXISTS `tbm_mesajlar`;
DROP TABLE IF EXISTS `tbm_menukategori`;
DROP TABLE IF EXISTS `tbm_menukataltdetay`;
DROP TABLE IF EXISTS `tbm_menukatalt`;
DROP TABLE IF EXISTS `tbm_menukat`;
DROP TABLE IF EXISTS `tbm_menufoto`;
DROP TABLE IF EXISTS `tbm_manset`;
DROP TABLE IF EXISTS `tbm_login`;
DROP TABLE IF EXISTS `tbm_kart`;
DROP TABLE IF EXISTS `tbm_banner`;
DROP TABLE IF EXISTS `redhits`;
DROP TABLE IF EXISTS `tbm_admin`;
DROP TABLE IF EXISTS `tbm_duyuru`;
DROP TABLE IF EXISTS `tbm_haber`;
DROP TABLE IF EXISTS `t_borc`;
DROP TABLE IF EXISTS `t_durum`;
DROP TABLE IF EXISTS `t_hareket`;
DROP TABLE IF EXISTS `t_kart`;
DROP TABLE IF EXISTS `t_login`;
DROP TABLE IF EXISTS `t_ortakmesaj`;
DROP TABLE IF EXISTS `t_session`;

CREATE TABLE IF NOT EXISTS redhits (
  `ID` varchar(50) NOT NULL default '',
  `IPAddress` varchar(50) NOT NULL default '',
  `Browser` varchar(200) NOT NULL default '',
  `Refferal` varchar(200) NOT NULL default '',
  `Session` varchar(255) NOT NULL default '',
  `Date` int(25) NOT NULL default '0',
  `Hits` int(25) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  KEY `IPAddress` (`IPAddress`),
  KEY `Browser` (`Browser`),
  KEY `Refferal` (`Refferal`),
  KEY `Session` (`Session`),
  KEY `Date` (`Date`)
) TYPE=MyISAM;

CREATE TABLE IF NOT EXISTS tbm_admin (
  `Id` int(11) NOT NULL auto_increment,
  `UserName` varchar(50) NOT NULL default '',
  `Password` varchar(50) NOT NULL default '',
  `Yetki` varchar(25) NOT NULL default 'user',
  `Ip` varchar(255) NOT NULL default '',
  `Session` varchar(255) NOT NULL default '',
  `SonGirisD` date NOT NULL default '0000-00-00',
  `SonGirisT` time NOT NULL default '00:00:00',
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM;


CREATE TABLE IF NOT EXISTS tbm_banner (
  `Id` smallint(6) NOT NULL auto_increment,
  `Sira` smallint(6) NOT NULL default '0',
  `Banner` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`Id`),
  KEY `Sira` (`Sira`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_duyuru (
  `Id` int(11) NOT NULL auto_increment,
  `Tarih` date NOT NULL default '0000-00-00',
  `YayinBitisTarih` date NOT NULL default '0000-00-00',
  `Baslik` varchar(255) NOT NULL default '',
  `Duyuru` varchar(255) NOT NULL default '',
  `Foto` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_haber (
  `Id` int(11) NOT NULL auto_increment,
  `Tarih` date NOT NULL default '0000-00-00',
  `YayinBitisTarih` date NOT NULL default '0000-00-00',
  `Haber` varchar(255) NOT NULL default '',
  `HaberA` text NOT NULL,
  `Detay` text NOT NULL,
  `Etiket` varchar(255) NOT NULL default '',
  `Foto` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`Id`),
  KEY `YayinBitisTarih` (`YayinBitisTarih`),
  KEY `Haber` (`Haber`),
  KEY `Etiket` (`Etiket`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_kart (
  `FirmaAdi` text NOT NULL,
  `Logo` varchar(100) NOT NULL default '',
  `Iletisim` varchar(255) NOT NULL default '',
  `GirisBaslik` varchar(100) NOT NULL default '',
  `GirisMesaj` text NOT NULL,
  `Header` varchar(100) NOT NULL default '',
  `HeaderBack` varchar(100) NOT NULL default '',
  `Web` varchar(100) NOT NULL default '',
  `Email` varchar(255) NOT NULL default '',
  `Keywords` varchar(255) NOT NULL default '',
  `Description` varchar(255) NOT NULL default ''
) TYPE=MyISAM;


CREATE TABLE IF NOT EXISTS tbm_login (
  `Id` int(11) NOT NULL auto_increment,
  `IP` varchar(255) NOT NULL default '',
  `Session` varchar(255) NOT NULL default '',
  `Tarih` date NOT NULL default '0000-00-00',
  `Saat` time NOT NULL default '00:00:00',
  `User` varchar(255) NOT NULL default '',
  `Passw` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_manset (
  `Id` int(11) NOT NULL auto_increment,
  `Tarih` date NOT NULL default '0000-00-00',
  `YayinBitisTarih` date NOT NULL default '0000-00-00',
  `Manset` varchar(100) NOT NULL default '',
  `Detay` text NOT NULL,
  `Etiket` varchar(255) NOT NULL default '',
  `Foto` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`Id`),
  KEY `YayinBitisTarih` (`YayinBitisTarih`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_menufoto (
  `Id` int(11) NOT NULL auto_increment,
  `SecId` smallint(6) NOT NULL default '0',
  `MenuId` smallint(6) NOT NULL default '0',
  `MenuAltId` smallint(6) NOT NULL default '0',
  `Sira` smallint(6) NOT NULL default '0',
  `Baslik` varchar(255) NOT NULL default '',
  `Aciklama` text NOT NULL,
  `Foto` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`Id`),
  KEY `SecId` (`SecId`),
  KEY `MenuId` (`MenuId`),
  KEY `MenuAltId` (`MenuAltId`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_menukat (
  `Id` smallint(6) NOT NULL auto_increment,
  `Sira` smallint(6) NOT NULL default '0',
  `Menu` varchar(30) NOT NULL default '',
  `Konum` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`Id`),
  KEY `Menu` (`Menu`),
  KEY `Sira` (`Sira`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_menukatalt (
  `Id` smallint(6) NOT NULL auto_increment,
  `Sira` smallint(6) NOT NULL default '0',
  `Kategori` smallint(6) NOT NULL default '0',
  `Menu` varchar(100) NOT NULL default '',
  `Link` varchar(25) NOT NULL default '',
  `Aciklama` longtext NOT NULL,
  PRIMARY KEY  (`Id`),
  KEY `Menu` (`Menu`),
  KEY `Kategori` (`Kategori`),
  KEY `Sira` (`Sira`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_menukataltdetay (
  `Id` smallint(6) NOT NULL auto_increment,
  `Sira` smallint(6) NOT NULL default '0',
  `Kategori` smallint(6) NOT NULL default '0',
  `KategoriAlt` smallint(6) NOT NULL default '0',
  `Menu` varchar(100) NOT NULL default '',
  `Link` varchar(25) NOT NULL default '',
  `Aciklama` longtext NOT NULL,
  PRIMARY KEY  (`Id`),
  KEY `Menu` (`Menu`),
  KEY `Kategori` (`Kategori`),
  KEY `KategoriAlt` (`KategoriAlt`),
  KEY `Sira` (`Sira`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_menukategori (
  `Id` smallint(2) NOT NULL auto_increment,
  `KategoriAdi` varchar(100) NOT NULL default '',
  `KategoriAdiE` varchar(100) NOT NULL default '',
  `Limit` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM;


CREATE TABLE IF NOT EXISTS tbm_mesajlar (
  `Id` smallint(6) NOT NULL auto_increment,
  `Tarih` date NOT NULL default '0000-00-00',
  `Email` varchar(255) NOT NULL default '',
  `AdiSoyadi` varchar(100) NOT NULL default '',
  `Konu` varchar(255) NOT NULL default '',
  `Mesaj` text NOT NULL,
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM ;


CREATE TABLE IF NOT EXISTS tbm_session (
  `Id` int(11) NOT NULL auto_increment,
  `Ip` varchar(255) NOT NULL default '',
  `Session` varchar(32) NOT NULL default '',
  `Date` date NOT NULL default '0000-00-00',
  `Time` time NOT NULL default '00:00:00',
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM  PACK_KEYS=0;


CREATE TABLE IF NOT EXISTS tbm_tasarim (
  `Nesne` varchar(100) NOT NULL default '',
  `Left` smallint(6) NOT NULL default '0',
  `Top` smallint(6) NOT NULL default '0',
  `Width` varchar(15) NOT NULL default '0',
  `Height` varchar(15) NOT NULL default '0',
  `ULeft` smallint(6) NOT NULL default '0',
  `UTop` smallint(6) NOT NULL default '0',
  `UWidth` varchar(15) NOT NULL default '0',
  `UHeight` varchar(15) NOT NULL default '0',
  `Display` varchar(10) NOT NULL default '',
  `zindex` smallint(6) NOT NULL default '0',
  `Uzindex` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`Nesne`)
) TYPE=MyISAM;


CREATE TABLE IF NOT EXISTS tbm_tasarimlog (
  `Nesne` varchar(100) NOT NULL default '',
  `Left` smallint(6) NOT NULL default '0',
  `Top` smallint(6) NOT NULL default '0',
  `Width` varchar(15) NOT NULL default '0',
  `Height` varchar(15) NOT NULL default '0',
  `ULeft` smallint(6) NOT NULL default '0',
  `UTop` smallint(6) NOT NULL default '0',
  `UWidth` varchar(15) NOT NULL default '0',
  `UHeight` varchar(15) NOT NULL default '0',
  `Display` varchar(10) NOT NULL default '',
  `zindex` smallint(6) NOT NULL default '0',
  `Uzindex` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`Nesne`)
) TYPE=MyISAM;


CREATE TABLE IF NOT EXISTS tbm_ustmenu (
  `Id` smallint(6) NOT NULL auto_increment,
  `Menu` varchar(25) NOT NULL default '',
  `Link` varchar(255) NOT NULL default '',
  `Sira` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`Id`),
  KEY `Sira` (`Sira`)
) TYPE=MyISAM ;


CREATE TABLE `t_borc` (
  `ID` int(11) NOT NULL default '0',
  `ULASID` int(11) default NULL,
  `ODETARIH` date default NULL,
  `ODEMETUR` varchar(10) default NULL,
  `ACIKLAMA` varchar(25) default NULL,
  `ODEME` float default NULL,
  `FAIZORANI` float default NULL,
  `FirmaId` int(11) NOT NULL default '0'
) ENGINE=MyISAM;


CREATE TABLE `t_durum` (
  `ID` int(11) NOT NULL default '0',
  `ULASID` int(11) default NULL,
  `TPLBORC` float default NULL,
  `TPLALACAK` float default NULL,
  `TPLFAIZBORC` float default NULL,
  `TPLFAIZALACAK` float default NULL,
  `TPLAMBORC` float default NULL,
  `TAHAKUKTARIHI` date default NULL,
  `FirmaId` int(11) NOT NULL default '0'
) ENGINE=MyISAM;


CREATE TABLE `t_hareket` (
  `ID` int(11) NOT NULL default '0',
  `ULASID` int(11) default NULL,
  `ODETUR` varchar(10) default NULL,
  `ACIKLAMA` varchar(30) default NULL,
  `HESGECTAR` date default NULL,
  `MAKBUZNO` varchar(10) default NULL,
  `TUTAR` float default NULL,
  `VALORTARIH` date default NULL,
  `FirmaId` int(11) NOT NULL default '0'
) ENGINE=MyISAM;


CREATE TABLE `t_kart` (
  `ID` int(11) NOT NULL default '0',
  `ORTAKNO` varchar(10) default NULL,
  `GRUPKOD` varchar(25) default NULL,
  `ADI` varchar(25) default NULL,
  `SOYAD` varchar(25) default NULL,
  `DOGYER` varchar(25) default NULL,
  `DOGTARIH` date default NULL,
  `MESLEK` varchar(25) default NULL,
  `PAR_ADET` int(11) default NULL,
  `EV_ADRES1` varchar(50) default NULL,
  `EV_ADRES2` varchar(50) default NULL,
  `EV_AP_NO` varchar(10) default NULL,
  `EV_DAIRE` int(11) default NULL,
  `EV_ILCE` varchar(25) default NULL,
  `EV_IL` varchar(25) default NULL,
  `EV_PKOD` varchar(5) default NULL,
  `EV_TEL` varchar(15) default NULL,
  `GSM` varchar(15) default NULL,
  `EMAIL` varchar(50) default NULL,
  `KURUMU` varchar(25) default NULL,
  `UNVAN` varchar(25) default NULL,
  `IS_ADRES1` varchar(50) default NULL,
  `IS_ADRES2` varchar(57) default NULL,
  `IS_PKOD` varchar(5) default NULL,
  `IS_ILCE` varchar(25) default NULL,
  `IS_IL` varchar(25) default NULL,
  `IS_TEL` varchar(15) default NULL,
  `IS_FAX` varchar(15) default NULL,
  `IS_EMAIL` varchar(50) default NULL,
  `SICILNO` varchar(15) default NULL,
  `YILLIK_ODEME` float default NULL,
  `BASVURU_TAR` date default NULL,
  `BASVURU_NO` varchar(10) default NULL,
  `KARAR_TAR` date default NULL,
  `KARAR_NO` varchar(10) default NULL,
  `ADA_NO` varchar(10) default NULL,
  `PARSEL_NO` varchar(10) default NULL,
  `KONUT_TIPI` varchar(10) default NULL,
  `KONUT_BUY` varchar(10) default NULL,
  `INSAAT_DUZEYI` varchar(25) default NULL,
  `CIKIS_TAR` date default NULL,
  `CIKIS_NO` varchar(10) default NULL,
  `KURA_ADA` varchar(10) default NULL,
  `KURA_DAIRE` varchar(10) default NULL,
  `KURA_GRUPKOD` varchar(10) default NULL,
  `KURA_KAT` varchar(10) default NULL,
  `KURA_KATTARIH` date default NULL,
  `KURA_KAYITNO` varchar(10) default NULL,
  `KURA_KURA` varchar(10) default NULL,
  `KURA_KURAKOD` varchar(10) default NULL,
  `KURA_ODE` float default NULL,
  `KURA_PARSEL` varchar(10) default NULL,
  `DURUMU` char(2) default NULL,
  `TUR` char(1) default NULL,
  `HISSE_SAYISI` float default NULL,
  `FirmaId` int(11) NOT NULL default '0',
  `USERNAME` varchar(20) NOT NULL default '',
  `PASSWORD` varchar(32) NOT NULL default ''
) ENGINE=MyISAM;


CREATE TABLE `t_login` (
  `Id` int(11) NOT NULL auto_increment,
  `IP` varchar(255) NOT NULL default '',
  `Session` varchar(255) NOT NULL default '',
  `Tarih` date NOT NULL default '0000-00-00',
  `Saat` time NOT NULL default '00:00:00',
  `User` varchar(255) NOT NULL default '',
  `Passw` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM;


CREATE TABLE `t_ortakmesaj` (
  `Id` int(11) NOT NULL auto_increment,
  `FirmaId` int(11) NOT NULL default '0',
  `UlasId` int(11) NOT NULL default '0',
  `Tarih` date NOT NULL default '0000-00-00',
  `Konu` varchar(255) NOT NULL default '',
  `Mesaj` text NOT NULL,
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM;


CREATE TABLE `t_session` (
  `Id` int(11) NOT NULL auto_increment,
  `Ip` varchar(255) NOT NULL default '',
  `Session` varchar(32) NOT NULL default '',
  `Date` date NOT NULL default '0000-00-00',
  `Time` time NOT NULL default '00:00:00',
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM;

CREATE TABLE `t_ekstre` (
  `ID` int(11) NOT NULL default '0',
  `ULASID` int(11) default NULL,
  `ODEMETUR` varchar(10) default NULL,
  `ACIKLAMA` varchar(50) default NULL,
  `ODETARIH` date default NULL,
  `TUTAR` float default NULL,
  `ODEME` float default NULL,
  `FAIZORANI` float default NULL,
  `FAIZHESAP` float default NULL,
  `GRUPKODU` varchar(15) default NULL,
  `FirmaId` int(11) NOT NULL default '0'
) ENGINE=MyISAM;

CREATE TABLE  `t_fatura` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `AD` varchar(100) default NULL,
  `DOSYAAD` varchar(100) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=1;